Subject: Re: bug#3053: "emacsclient -a emacs" produces "No server editing

From: Danai SAE-HAN (韓達耐) <[email-masked]>
Date: Sat, 25 Apr 2009 03:13:52 +0200

Hi Stefan

2009/4/25 Stefan Monnier <[email-masked]>:
>>   $ ./emacsclient -a "../src/emacs" ../Makefile
>
> Any reason why you didn't try the "-a ''" that I suggested?
> I.e. ./emacsclient -a "" ../Makefile

Because I get an error:

[2009-04-25 03:10:40] danai@danai:/usr/src/EMACS_PRETEST_23_0_92/lib-src
  $ ./emacsclient -a "" ../Makefile
./emacsclient: can't find socket; have you started the server?
To start the server in Emacs, type "M-x server-start".

In Emacs I get a Backtrace with the following output:

Debugger entered--Lisp error: (error "Unknown option `--daemon'")
  signal(error ("Unknown option `--daemon'"))
  error("Unknown option `%s'" "--daemon")
  command-line-1(("--daemon"))
  command-line()
  normal-top-level()

Best regards

-- 
Danai